View Issue Details

IDProjectCategoryView StatusLast Update
0014501LazarusIDEpublic2009-09-08 14:36
ReporterBurkhard Carstens Assigned ToPaul Ishenin  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Platformi386OSlinux 
Product Version0.9.27 (SVN) 
Target Version0.9.28 
Summary0014501: Grabber are sometimes shown only partly (bad-1) or not at all (bad-2)
DescriptionNote: This is a regression!

bad-1 = grabber are painted before the component is painted, so the component hides parts of the grabber. This is not nice but still usable.

bad-2 = grabber are not painted at all. This is unusable because there is no visual feedback about which component is selected and it makes resizing components very hard.

* If two components on a form are aligned so that the Guide Lines are drawn, we get a bad-1.

* If two components on a panel are aligned we get a bad-2, which is annoying, because most of my apps use panels to group components, i.e. almost all components are placed on panels.

* If there is a non-visual component (e.g. TTimer or TOpenDialog) placed on the form, the situation gets worse: The components don't need to be aligned anymore to show the bad effects. i.e. no component on a panel ever has grabber (incl. TTimer).
TagsNo tags attached.
Fixed in Revision21611
LazTarget0.9.28
WidgetsetGTK
Attached Files

Relationships

related to 0014502 closedPaul Ishenin Form Designer: Icons and Captions of non-visual components are not painted when the are placed above other components 

Activities

Vincent Snijders

2009-09-04 22:17

manager   ~0030422

Does this also occur if you uncheck "Reduce designer painting" in the form editor options?

Burkhard Carstens

2009-09-04 22:27

reporter   ~0030423

no, unchecking that option "fixes" the problem, although now it flickers like hell.

Burkhard Carstens

2009-09-08 09:50

reporter   ~0030528

This effect was partly introduced in r18806. r18805 still works fine but r18806 shows *some* of the described symptoms: everything works as expected until a non-visual component is added. Then components on the form show bad-1 effect and components on the panel show bad-2 effect.

Burkhard Carstens

2009-09-08 12:40

reporter   ~0030534

Tested with fpc-fixes_2_4-r13649 and lazarus-0_9_29-r21612-gtk1.
 
All fixed. Can be resolved/closed.

Burkhard Carstens

2009-09-08 14:36

reporter   ~0030541

Thank you very much! Please be sure to merge this into fixes_0_9_28.

Issue History

Date Modified Username Field Change
2009-09-04 22:02 Burkhard Carstens New Issue
2009-09-04 22:02 Burkhard Carstens Widgetset => GTK
2009-09-04 22:17 Vincent Snijders Note Added: 0030422
2009-09-04 22:27 Burkhard Carstens Note Added: 0030423
2009-09-07 12:45 Vincent Snijders LazTarget => 0.9.28
2009-09-07 12:45 Vincent Snijders Status new => acknowledged
2009-09-07 12:45 Vincent Snijders Target Version => 0.9.28
2009-09-08 00:53 Paul Ishenin Relationship added related to 0014502
2009-09-08 09:50 Burkhard Carstens Note Added: 0030528
2009-09-08 12:40 Burkhard Carstens Note Added: 0030534
2009-09-08 14:35 Paul Ishenin Fixed in Revision => 21611
2009-09-08 14:35 Paul Ishenin Status acknowledged => resolved
2009-09-08 14:35 Paul Ishenin Resolution open => fixed
2009-09-08 14:35 Paul Ishenin Assigned To => Paul Ishenin
2009-09-08 14:36 Burkhard Carstens Status resolved => closed
2009-09-08 14:36 Burkhard Carstens Note Added: 0030541